package com.tofly.ghrq_route.module.domain;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by zombiexq on 2016/6/20.
 */
public class Trouble implements Serializable{

    private String troubleid;
    private String userid;
    private String deviceid;
    private String trotype;
    private String remark;
    private String status;
    private String x;
    private String y;
    private String xx;
    private String yy;
    private String devtype;
    private String desc;
    private String address;
    private String subtime;

    public String getTroubleid() {
        return troubleid;
    }

    public void setTroubleid(String troubleid) {
        this.troubleid = troubleid;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }
    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid;
    }

    public String getTrotype() {
        return trotype;
    }

    public void setTrotype(String trotype) {
        this.trotype = trotype;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getX() {
        return x;
    }

    public void setX(String x) {
        this.x = x;
    }

    public String getY() {
        return y;
    }

    public void setY(String y) {
        this.y = y;
    }

    public String getXx() {
        return xx;
    }

    public void setXx(String xx) {
        this.xx = xx;
    }

    public String getYy() {
        return yy;
    }

    public void setYy(String yy) {
        this.yy = yy;
    }

    public String getDevtype() {
        return devtype;
    }

    public void setDevtype(String devtype) {
        this.devtype = devtype;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getSubtime() {
        return subtime;
    }

    public void setSubtime(String subtime) {
        this.subtime = subtime;
    }

    public static List<Trouble> getFakeTroubles(String status){
        List<Trouble> troubles = new ArrayList<>();
        for (int i = 0; i < 20; i++){
            Trouble trouble = new Trouble();
            if (i % 4 == 0){
                trouble.setAddress("绵阳市  游仙区");
                trouble.setDesc("其它");
                trouble.setDeviceid("120");
                trouble.setDevtype("阀门井");
                trouble.setRemark("");
                trouble.setStatus(status);
                trouble.setSubtime("2016-09-23T11:36:16");
                trouble.setTrotype("10");
                trouble.setTroubleid("f875e6e5-25cc-4198-ad24-bc79083be48f");
                trouble.setUserid("019");
                trouble.setX("506995.472763");
                trouble.setXx("105.0735287327");
                trouble.setY("3471370.73571");
                trouble.setYy("31.3643139742");
            }
            if (i % 4 == 1){
                trouble.setAddress("绵阳市  三台县");
                trouble.setDesc("其它");
                trouble.setDeviceid("121");
                trouble.setDevtype("阀门井");
                trouble.setRemark("");
                trouble.setStatus(status);
                trouble.setSubtime("2016-09-01T15:53:48");
                trouble.setTrotype("10");
                trouble.setTroubleid("00c4fa85-f303-490b-b612-b042ea86779e");
                trouble.setUserid("020");
                trouble.setX("501328.555333");
                trouble.setXx("105.0139620614");
                trouble.setY("3469675.829716");
                trouble.setYy("31.3490477396");
            }
            if (i % 4 == 2){
                trouble.setAddress("绵阳市  三台县");
                trouble.setDesc("其它");
                trouble.setDeviceid("117");
                trouble.setDevtype("阀门井");
                trouble.setRemark("");
                trouble.setStatus(status);
                trouble.setSubtime("2016-07-21T11:02:43");
                trouble.setTrotype("10");
                trouble.setTroubleid("04e4dad7-7c93-43c2-80a6-004a22407878");
                trouble.setUserid("016");
                trouble.setX("505100.207986");
                trouble.setXx("105.053601843");
                trouble.setY("3470207.012568");
                trouble.setYy("31.3538281048");
            }
            if (i % 4 == 3){
                trouble.setAddress("绵阳市  游仙区");
                trouble.setDesc("其它");
                trouble.setDeviceid("117");
                trouble.setDevtype("阀门井");
                trouble.setRemark("");
                trouble.setStatus(status);
                trouble.setSubtime("2016-07-19T16:07:40");
                trouble.setTrotype("10");
                trouble.setTroubleid("3cc508ec-e1b0-44e6-996a-b9279fe8564f");
                trouble.setUserid("016");
                trouble.setX("505242.14242");
                trouble.setXx("105.055095083");
                trouble.setY("3470501.199258");
                trouble.setYy("31.3564807749");
            }
            troubles.add(trouble);
        }
        return troubles;
    }
}
